Bug 30464 - BatchUpdateAuthority task does not deal with indexation correctly
Summary: BatchUpdateAuthority task does not deal with indexation correctly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 27344
Blocks: 27341
  Show dependency treegraph
 
Reported: 2022-04-06 09:51 UTC by Jonathan Druart
Modified: 2022-05-17 12:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30464: Make BatchUpdateAuthority update the index in one request (4.25 KB, patch)
2022-04-06 11:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30464: Make BatchUpdateAuthority update the index in one request (4.25 KB, patch)
2022-04-29 17:17 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30464: (QA follow-up) Enqueue indexing (1.02 KB, patch)
2022-04-29 17:17 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30464: Make BatchUpdateAuthority update the index in one request (4.34 KB, patch)
2022-05-05 14:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-04-06 09:51:02 UTC
We should call ModAuthority that will index in background mode, then update the search engine index once all the authority records have been modified.
Comment 1 Jonathan Druart 2022-04-06 11:55:26 UTC
Created attachment 132990 [details] [review]
Bug 30464: Make BatchUpdateAuthority update the index in one request

Same as bug 30465 for authorities
Comment 2 Tomás Cohen Arazi 2022-04-29 17:17:24 UTC
Created attachment 134400 [details] [review]
Bug 30464: Make BatchUpdateAuthority update the index in one request

Same as bug 30465 for authorities
Comment 3 Tomás Cohen Arazi 2022-04-29 17:17:29 UTC
Created attachment 134401 [details] [review]
Bug 30464: (QA follow-up) Enqueue indexing

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Martin Renvoize 2022-05-05 14:58:03 UTC
Created attachment 134649 [details] [review]
Bug 30464: Make BatchUpdateAuthority update the index in one request

Same as bug 30465 for authorities

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2022-05-05 14:58:44 UTC
I'm torn by these patches.. they all improve reliability/reduce the possibility of overwhelming elasticsearch.. but they do so at the detriment of zebra by delaying indexing.

As the general movement seems to be towards ES I'm going to PQA regardless :|
Comment 6 Fridolin Somers 2022-05-05 21:21:09 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄